Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class ANSI.Buffer

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Buffer

Enclosing class:
  ANSI

    public static class ANSI.Buffer

extends Object

Field Summary
`boolean` | `autoClear`

Constructor Summary
`ANSI.Buffer()`

Method Summary
`ANSI.Buffer` | `append(Object obj)`
`ANSI.Buffer` | `append(String text)`
`ANSI.Buffer` | `attrib(int code)`
`ANSI.Buffer` | `attrib(String text, int code)`
`ANSI.Buffer` | `attrib(String text, String codeName)`
`void` | `clear()`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### autoClear

    public final boolean autoClear

See Also:
  Constant Field Values

Constructor Detail

### ANSI.Buffer

    public ANSI.Buffer()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clear

    public void clear()

### size

    public int size()

### append

    public ANSI.Buffer append(String text)

### append

    public ANSI.Buffer append(Object obj)

### attrib

    public ANSI.Buffer attrib(int code)

### attrib

    public ANSI.Buffer attrib(String text,
                              int code)

### attrib

    public ANSI.Buffer attrib(String text,
                              String codeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD